Subject: bug#54561: closed (Re: [PATCH v3 0/4] Add samba and wsdd to services list.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Sep 2022 07:49:01 +0000

Your bug report

#54561: [PATCH 0/4] Add service declarations for Samba

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54561: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=54561
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v3 0/4] Add samba and wsdd to services list.
From: Lars-Dominik Braun <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 24 Sep 2022 09:48:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Simon,

> Hello, here my third iteration preparing this patch series.
thanks for the update. I’ve been running it on my NAS for a few days
and it works quite well. I addressed Ludo’s remaining comments,
adjusted your commit messages and pushed your contribution as commit
4cbc1622961f62f8fc3613de0c8f215e0cde6494 and following.

Thank you very much,
Lars

Subject: [PATCH 0/4] Add service declarations for Samba
From: Simon Streit <[email-masked]>
To: [email-masked]
Date: Fri, 25 Mar 2022 09:48:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Please find attached several patches to add Samba and wsdd as service
declaration for Guix.  My Samba service declaration has been cut down in length
since I am preparing a serialiser, which has not been finalised yet.

But I'd rather still have these patch posted here to see it pushed eventually.
Or others can test it to see if there are any other improvements that should
be done and in case I've missed something.  Though the service definition is
rather simple for now.

Kind regards
Simon Streit (4):
  services: Add samba service.
  doc: Add "Samba" chapter.
  doc: Add documentation for WSDD service.
  services: Add wsdd service.

 doc/guix.texi          | 119 ++++++++++++++++++
 gnu/services/samba.scm | 280 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 399 insertions(+)
 create mode 100644 gnu/services/samba.scm

--
2.34.0